Name:           waylandpp
Version:        0.2.2
Release:        2%{?dist}
Summary:        Wayland C++ bindings

# waylandpp includes part of Wayland under MIT, wayland-scanner++ is
# GPLv3+
License:        BSD and MIT and GPLv3+
URL:            https://github.com/NilsBrause/waylandpp/
Source0:        https://github.com/NilsBrause/%{name}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  gcc-c++
BuildRequires:  graphviz
BuildRequires:  mesa-libEGL-devel
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-cursor)
BuildRequires:  pkgconfig(wayland-egl)

%description
Wayland is an object oriented display protocol, which features request and
events. Requests can be seen as method calls on certain objects, whereas events
can be seen as signals of an object. This makes the Wayland protocol a perfect
candidate for a C++ binding.

The goal of this library is to create such a C++ binding for Wayland using the
most modern C++ technology currently available, providing an easy to use C++ API
to Wayland.


%package devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for developing
applications that use %{name}.


%package doc
Summary:        Documentation for %{name}
BuildArch:      noarch

%description doc
The %{name}-doc package contains development documentation for %{name}.


%prep
%autosetup


%build
%cmake . -DCMAKE_INSTALL_DOCDIR=%{_defaultdocdir}/%{name}-doc/
%make_build


%install
%make_install

# Drop LaTeX documentation (HTML documentation is already built)
rm -r $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}-doc/latex/


%ldconfig_scriptlets


%check
ctest -V %{?_smp_mflags}


%files
%doc README.md
%license LICENSE
%{_libdir}/*.so.*


%files devel
%doc example/
%{_bindir}/wayland-scanner++
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*
%{_datadir}/%{name}/
%{_mandir}/man3/*.3.*


%files doc
%doc README.md
%license LICENSE
%{_defaultdocdir}/%{name}-doc/


%changelog
* Tue Mar 06 2018 Mohamed El Morabity <melmorabity@fedoraproject.org> - 0.2.2-2
- Fix License tag
- Fix documentation installation path

* Mon Mar 05 2018 Mohamed El Morabity <melmorabity@fedoraproject.org> - 0.2.2-1
- Initial RPM release
